Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties | Events | List of all members
Microscopic_Traffic_Simulator___Model.SimulationControl.Simulation Class Reference

Class controlling performing simulation actions by simulation calendar. More...

Inheritance diagram for Microscopic_Traffic_Simulator___Model.SimulationControl.Simulation:

## Public Member Functions
void | Dispose ()
| Disposes cellular topology resources. More...

## Protected Member Functions
virtual void | Dispose (bool disposing)
| Dispose disposable fields. More...

## Properties
TimeSpan | CurrentModelTime`[get]`
| Model time of last tick of simulation timer or last change of simulation run. More...
TimeSpan | ModelTimeToPause`[get, set]`
| Simulation model time when the simulation will be paused. More...
SimulationState | SimulationState`[get]`
| Current simulation status of simulation. More...
int | UsedSeed`[get]`
| Seed which is used in the simulation. More...
double | SimulationSpeed`[get, set]`
| Current simulation speed in model time speed divided by computer/user time speed More...
bool | IsMaxSimulationSpeed`[get, set]`
| Indicates whether the simulation speed is maximal. More...

## Events
EventHandler | ModelTimeChanged
| An event informing about changing of model time. More...
EventHandler | SimulationPaused
| An event informing about applying of pause by the simulation control. More...
EventHandler | SingleSimulationActionPerformed
| An event informing about finishing of simulation action. More...
EventHandler< SimulationSpeedChangeEventArgs > | SimulationSpeedChanged
| Event of simulation speed change. More...
EventHandler | IsMaxSimulationSpeedChange
| Event of activation or deactivation of maximum simulation speed. More...

## Detailed Description

Class controlling performing simulation actions by simulation calendar.

Definition at line 12 of file Simulation.cs.

## Member Function Documentation

virtual void Microscopic_Traffic_Simulator___Model.SimulationControl.Simulation.Dispose | ( | bool | disposing | ) |
| protected virtual

Dispose disposable fields.

Parameters

  disposing | Flag indicating whether to release managed resources.

Definition at line 519 of file Simulation.cs.

void Microscopic_Traffic_Simulator___Model.SimulationControl.Simulation.Dispose | ( |  | ) |

Disposes cellular topology resources.

Definition at line 534 of file Simulation.cs.

## Property Documentation

TimeSpan Microscopic_Traffic_Simulator___Model.SimulationControl.Simulation.CurrentModelTime
| get

Model time of last tick of simulation timer or last change of simulation run.

Definition at line 49 of file Simulation.cs.

bool Microscopic_Traffic_Simulator___Model.SimulationControl.Simulation.IsMaxSimulationSpeed
| get set

Indicates whether the simulation speed is maximal.

Definition at line 157 of file Simulation.cs.

TimeSpan Microscopic_Traffic_Simulator___Model.SimulationControl.Simulation.ModelTimeToPause
| get set

Simulation model time when the simulation will be paused.

Definition at line 59 of file Simulation.cs.

double Microscopic_Traffic_Simulator___Model.SimulationControl.Simulation.SimulationSpeed
| get set

Current simulation speed in model time speed divided by computer/user time speed

Definition at line 123 of file Simulation.cs.

SimulationState Microscopic_Traffic_Simulator___Model.SimulationControl.Simulation.SimulationState
| get

Current simulation status of simulation.

Definition at line 96 of file Simulation.cs.

int Microscopic_Traffic_Simulator___Model.SimulationControl.Simulation.UsedSeed
| get

Seed which is used in the simulation.

Definition at line 105 of file Simulation.cs.

## Event Documentation

EventHandler Microscopic_Traffic_Simulator___Model.SimulationControl.Simulation.IsMaxSimulationSpeedChange

Event of activation or deactivation of maximum simulation speed.

Definition at line 87 of file Simulation.cs.

EventHandler Microscopic_Traffic_Simulator___Model.SimulationControl.Simulation.ModelTimeChanged

An event informing about changing of model time.

Definition at line 67 of file Simulation.cs.

EventHandler Microscopic_Traffic_Simulator___Model.SimulationControl.Simulation.SimulationPaused

An event informing about applying of pause by the simulation control.

Definition at line 72 of file Simulation.cs.

EventHandler<SimulationSpeedChangeEventArgs> Microscopic_Traffic_Simulator___Model.SimulationControl.Simulation.SimulationSpeedChanged

Event of simulation speed change.

Definition at line 82 of file Simulation.cs.

EventHandler Microscopic_Traffic_Simulator___Model.SimulationControl.Simulation.SingleSimulationActionPerformed

An event informing about finishing of simulation action.

Definition at line 77 of file Simulation.cs.

The documentation for this class was generated from the following file:

- Microscopic Traffic Simulator - Model/SimulationControl/Simulation.cs